Last Comment Bug 896404 - Private Browsing information leak in openNewTabOrWindow()
: Private Browsing information leak in openNewTabOrWindow()
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: General (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.21
Assigned To: Philip Chee
:
:
Mentors:
Depends on:
Blocks: 460895
  Show dependency treegraph
 
Reported: 2013-07-22 04:07 PDT by Philip Chee
Modified: 2013-08-01 02:03 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed
unaffected


Attachments
openNewTabOrWindow() patch for branches (1011 bytes, patch)
2013-07-22 05:57 PDT, Philip Chee
neil: review+
bugspam.Callek: approval‑comm‑aurora+
bugspam.Callek: approval‑comm‑beta+
Details | Diff | Splinter Review

Description Philip Chee 2013-07-22 04:07:13 PDT
From Bug 881083 Comment 5:
>>+      if (gPrivate)
>>+        openNewPrivateWith(href, doc);
>>+      else
>>+        openNewWindowWith(href, doc);
> I guess this really ought to land on branches...
Comment 1 Philip Chee 2013-07-22 05:57:25 PDT
Created attachment 779164 [details] [diff] [review]
openNewTabOrWindow() patch for branches

[Approval Request Comment]
Regression caused by (bug #): N/A
Testing completed: on comm-central
User impact if declined: Privacy leak
Risk to taking this patch (and alternatives if risky): Low
String changes made by this patch: None
Comment 2 Justin Wood (:Callek) 2013-07-29 20:06:21 PDT
landed on c-b for you https://hg.mozilla.org/releases/comm-beta/rev/813007bcae07
Comment 3 Philip Chee 2013-08-01 02:03:07 PDT
> landed on c-b for you https://hg.mozilla.org/releases/comm-beta/rev/813007bcae07
Pushed to comm-aurora:
https://hg.mozilla.org/releases/comm-aurora/rev/6129078bfffc

Note You need to log in before you can comment on or make changes to this bug.